// JavaScript Document

$(document).ready(function(e) {
	
	
    $("#clientid").change(function(e) {
		
		$("#discount").val('');
		$("#remain").val('');
		$("#payed").val('');
		$("#debtafter").val('');
        $.ajax({
		  url: "clientDeficitControllerAjax.php?id="+$(this).val(),
		  success: function(data){
				 $("#totaldebt").val(data);
			
		  },
		  error:function(){
			  alert("لقد حدث خطأ أثناء إجراء العملية");
		  }   
		});
		
		$.ajax({
		  url: "clientDeficitControllerAjax.php?do=getreceipt&id="+$(this).val(),
		  success: function(data){
			 
				 $("#receptdiv").html(data);
			
		  },
		  error:function(){
			  alert("لقد حدث خطأ أثناء إجراء العملية");
		  }   
		});  
    });
	
	
	/// get debt after
	$("#payed").keyup(function(e) {
		$("#discount").val('');
		$("#remain").val('');
		var payedDept = Number($(this).val());
		var debtBefore = Number($("#totaldebt").val());

			if(debtBefore)
			{
				var debtAfter = debtBefore - payedDept;
				
				if(debtAfter >= 0)
				{
					$("#debtafter").val(debtAfter);
					$("#showdebt").hide();
					$("#discount").prop('disabled', false);
				}
				else
				{
					$("#debtafter").val('');
					$("#showdebt").show();
					$("#discount").prop('disabled', true);
					
				}
				
			}
			else//if user didn't choose any client yet
			{
				$("#debtafter").val(0);
				
				//alert("يرجى اختيار مورد");	
			}
    });
	
	
	// get remain
	$("#discount").keyup(function(e) {
		var discount = Number($(this).val());
		var debtAfter = Number($("#debtafter").val());

			if(debtAfter)
			{
				var remain = debtAfter - discount;
				
				if(remain >= 0)
				{
					$("#remain").val(remain);
					$("#showremain").hide();
				}
				else
				{
					$("#remain").val('');
					$("#showremain").show();
					
				}
			}
			else//if user didn't choose any client yet
			{
				$("#remain").val(0);
				//alert("يرجى اختيار مورد");	
			}
    });
	
	// for numberinput
	$(".numberinput").keypress(function(evt) {
  
	 var charCode = (evt.which) ? evt.which : event.keyCode
         if (charCode > 31 && (charCode < 48 || charCode > 57))
		 
            return false;

         return true;
});



//print
$("#checkAll").change(function(){
	  if($(this).is(':checked'))
	  {
		
		  	$(".choosenItem").prop("checked", true);
			 
			$("table tr").removeClass("noprint");
		
		  }
	  else
	  		{ 
			$(".choosenItem").prop("checked", false);
			$("table").find("tr:gt(0)").addClass("noprint");
		
		  }
});

$("td input[type=checkbox]").click(function()
	     {
			
	       var isChecked = $(this).prop("checked");
	        var $selectedRow = $(this).parent("td").parent("tr");
	  
	        if(isChecked)
			{
					
	                	$selectedRow.removeClass("noprint");
							 
        					
			}
				
	        else
			{
					$selectedRow.addClass("noprint");
			}
	    });    
	  
	  
  

//arrange select
$("#clientid").append($("#clientid option[id='xx']").remove().sort(function(ا, ى) {
    var at = $(ا).text(), bt = $(ى).text();
    return (at > bt)?1:((at < bt)?-1:-1);
}));

$("#receipt_client_form").submit(function(e) {
    $(this).submit(function(e) {
        return false;
    });
	return true;
});
$("#receipt_client_form").validate();


 /******** send form with ajax ********/
    //callback handler for form submit
  /*  $("#receipt_client_form").submit(function(e)
    {
	
		 e.preventDefault(); //STOP default action
		
		if ($('#receipt_client_form').validate().form()) {
        var postData = $(this).serializeArray();
        var formURL = $(this).attr("action");
      
            $.ajax(
                    {
                        url: formURL,
                        type: "POST",
                        data: postData,
                        success: function(data, textStatus, jqXHR)
                        {
                            //data: return data from server
                            // alert(data);
                            document.write(data);
                        },
                        error: function(jqXHR, textStatus, errorThrown)
                        {
                            //if fails
                            alert('error');
                        }
                    });
        
       
        //e.unbind(); //unbind. to stop multiple form submit.
        
		$(this).submit(function() {
		return false;
		});
		
		}
		// submit once return true
		return true;//Submit  the FORM
    });

*/






});